local mod = foundation.createMod();

--Prefabs--

mod:registerAssetId("models/D&D.fbx/Prefab/Airship1_Part", "AIRSHIP1_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Dragon_Black_Part", "DRAGON_BLACK_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Dragon_Blue_Part", "DRAGON_BLUE_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Dragon_Green_Part", "DRAGON_GREEN_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Dragon_Red_Part", "DRAGON_RED_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Dragon_White_Part", "DRAGON_WHITE_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Flag_Redmere1_Part", "FLAG_REDMERE1_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Mortar_Part", "MORTAR_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Naval_Cannon_Part", "NAVAL_CANNON_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Orc_Part", "ORC_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Sewer_Part", "SEWER_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Crystal_Torch_Part", "CRYSTAL_TORCH_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Dragon_Egg_Part", "EGG_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Tattered_Flag_Red_Part", "TATTERED_FLAG_RED_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Tattered_Flag_Blue_Part", "TATTERED_FLAG_BLUE_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Wooden_Stakes_Part", "STAKES_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Mine_and_Cart_Part", "MINE_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Wooden_Stakes_Small_15_Part", "STAKES_SMALL_15_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Wooden_Stakes_Small_30_Part", "STAKES_SMALL_30_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Wooden_Stakes_Small_45_Part", "STAKES_SMALL_45_PREFAB")
mod:registerAssetId("models/D&D.fbx/Prefab/Boat_Wreck_Part", "BOAT_WRECK_PREFAB")

--Materials--

mod:registerAssetId("models/D&D.fbx/Materials/Fabric", "MATERIAL_FABRIC")
mod:registerAssetId("models/D&D.fbx/Materials/Metal", "MATERIAL_METAL")
mod:registerAssetId("models/D&D.fbx/Materials/RiggingSmall", "MATERIAL_RIGGING_SMALL")
mod:registerAssetId("models/D&D.fbx/Materials/Dragon_Skin_Black", "MATERIAL_DRAGON_SKIN_BLACK")
mod:registerAssetId("models/D&D.fbx/Materials/Dragon_Skin_Blue", "MATERIAL_DRAGON_SKIN_BLUE")
mod:registerAssetId("models/D&D.fbx/Materials/Dragon_Skin_Green", "MATERIAL_DRAGON_SKIN_GREEN")
mod:registerAssetId("models/D&D.fbx/Materials/Dragon_Skin_Red", "MATERIAL_DRAGON_SKIN_RED")
mod:registerAssetId("models/D&D.fbx/Materials/Dragon_Skin_White", "MATERIAL_DRAGON_SKIN_WHITE")
mod:registerAssetId("models/D&D.fbx/Materials/Armour", "MATERIAL_ARMOUR")
mod:registerAssetId("models/D&D.fbx/Materials/Body", "MATERIAL_BODY")
mod:registerAssetId("models/D&D.fbx/Materials/Head", "MATERIAL_HEAD")
mod:registerAssetId("models/D&D.fbx/Materials/Spear", "MATERIAL_SPEAR")
mod:registerAssetId("models/D&D.fbx/Materials/Red", "MATERIAL_RED")
mod:registerAssetId("models/D&D.fbx/Materials/Blue", "MATERIAL_BLUE")
mod:registerAssetId("models/D&D.fbx/Materials/Green", "MATERIAL_GREEN")
mod:registerAssetId("models/D&D.fbx/Materials/CrystalBlue", "MATERIAL_CRYSTAL_BLUE")
mod:registerAssetId("models/D&D.fbx/Materials/Egg", "MATERIAL_EGG")
mod:registerAssetId("models/D&D.fbx/Materials/RockStone", "MATERIAL_ROCKSTONE")

--So that materials show on both sides of 2D faces--

mod:override({
    Id = "MATERIAL_FABRIC",
    BackFaceVisible = true,
})
mod:override({
    Id = "MATERIAL_METAL",
    BackFaceVisible = true,
})
mod:override({
    Id = "MATERIAL_RIGGING_SMALL",
    BackFaceVisible = true,
	HasAlphaTest = true
})
mod:override({
    Id = "MATERIAL_RED",
    BackFaceVisible = true,
})
mod:override({
    Id = "MATERIAL_BLUE",
    BackFaceVisible = true,
})
mod:override({
    Id = "MATERIAL_GREEN",
    BackFaceVisible = true,
})
mod:override({
    Id = "MATERIAL_ROCKSTONE",
    BackFaceVisible = true,
})

--Height adjuster--

mod:registerAssetId("models/D&D.fbx/Prefab/Tiling_Part", "TILING_PART")
mod:registerAssetId("models/D&D.fbx/Prefab/Root_Part", "ROOT_PART")

mod:register({
	DataType = "BUILDING_PART",
	Id = "TILING",
	ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "TILING_PART"
    }
})

mod:registerAssetProcessor("models/D&D.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

--START OF MONUMENTS & PARTS LIST--

--Decorations & Dragons Monument--

mod:register({
	DataType = "BUILDING",
	Id = "D&D_MONUMENT",
	Name = "D&D_NAME",
	Description = "D&D_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	BuildingPartSetList = {
        {
			Name = "LIST_DRAGONS_NAME",
	        BuildingPartList = {
				"DRAGON_BLACK_PART",
				"DRAGON_BLUE_PART",
				"DRAGON_GREEN_PART",
				"DRAGON_RED_PART",
				"DRAGON_WHITE_PART",
				"EGG_PART"
			}
		},
		{
			Name = "LIST_REDMERE_NAME",
	        BuildingPartList = {
				"AIRSHIP1_PART",
				"FLAG_REDMERE1_PART"
			}
		},
		{
			Name = "LIST_GENERIC_NAME",
	        BuildingPartList = {
				"SEWER_PART",
				"MORTAR_PART",
				"NAVAL_CANNON_PART",
				"CRYSTAL_TORCH_PART",
				"TATTERED_FLAG_RED_PART",
				"TATTERED_FLAG_BLUE_PART",
				"BOAT_WRECK_PART"
			}
		},
		{
			Name = "LIST_CRAGHAMMER_NAME",
	        BuildingPartList = {
				"MINE_PART",
				"ORC_PART",
				"STAKES_PART",
				"STAKES_SMALL_15_PART",
				"STAKES_SMALL_30_PART",
				"STAKES_SMALL_45_PART"
			}
		}
    }
})

--Parts list--

--Airship

mod:register({
	DataType = "BUILDING_PART",
	Id = "AIRSHIP1_PART",
	Name = "AIRSHIP1_NAME",
	Description = "AIRSHIP1_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "AIRSHIP1",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "AIRSHIP1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "AIRSHIP1_PREFAB"
	}
})

--Dragon

mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_BLACK_PART",
	Name = "DRAGON_BLACK_NAME",
	Description = "DRAGON_BLACK_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "DRAGON_BLACK",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_BLACK",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "DRAGON_BLACK_PREFAB"
	}
})

--Dragon

mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_BLUE_PART",
	Name = "DRAGON_BLUE_NAME",
	Description = "DRAGON_BLUE_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "DRAGON_BLUE",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_BLUE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "DRAGON_BLUE_PREFAB"
	}
})

--Dragon

mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_GREEN_PART",
	Name = "DRAGON_GREEN_NAME",
	Description = "DRAGON_GREEN_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "DRAGON_GREEN",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_GREEN",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "DRAGON_GREEN_PREFAB"
	}
})

--Dragon

mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_RED_PART",
	Name = "DRAGON_RED_NAME",
	Description = "DRAGON_RED_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "DRAGON_RED",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_RED",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "DRAGON_RED_PREFAB"
	}
})

--Dragon

mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_WHITE_PART",
	Name = "DRAGON_WHITE_NAME",
	Description = "DRAGON_WHITE_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "DRAGON_WHITE",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_WHITE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "DRAGON_WHITE_PREFAB"
	}
})

--Flag

mod:register({
	DataType = "BUILDING_PART",
	Id = "FLAG_REDMERE1_PART",
	Name = "FLAG_REDMERE1_NAME",
	Description = "FLAG_REDMERE1_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "FLAG_REDMERE1",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "FLAG_REDMERE1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "FLAG_REDMERE1_PREFAB"
	}
})


--Mortar

mod:register({
	DataType = "BUILDING_PART",
	Id = "MORTAR_PART",
	Name = "MORTAR_NAME",
	Description = "MORTAR_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "MORTAR",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "MORTAR",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "MORTAR_PREFAB"
	}
})


--Cannon

mod:register({
	DataType = "BUILDING_PART",
	Id = "NAVAL_CANNON_PART",
	Name = "NAVAL_CANNON_NAME",
	Description = "NAVAL_CANNON_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "NAVAL_CANNON",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "NAVAL_CANNON",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "NAVAL_CANNON_PREFAB"
	}
})


--Orc

mod:register({
	DataType = "BUILDING_PART",
	Id = "ORC_PART",
	Name = "ORC_NAME",
	Description = "ORC_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "ORC",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "ORC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "ORC_PREFAB"
	}
})

--Sewer

mod:register({
	DataType = "BUILDING_PART",
	Id = "SEWER_PART",
	Name = "SEWER_NAME",
	Description = "SEWER_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "SEWER",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "SEWER",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "SEWER_PREFAB"
	}
})

--Crystal torch

mod:register({
	DataType = "BUILDING_PART",
	Id = "CRYSTAL_TORCH_PART",
	Name = "CRYSTAL_TORCH_NAME",
	Description = "CRYSTAL_TORCH_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "CRYSTAL_TORCH",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "CRYSTAL_TORCH",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "CRYSTAL_TORCH_PREFAB"
	}
})

--Egg

mod:register({
	DataType = "BUILDING_PART",
	Id = "EGG_PART",
	Name = "EGG_NAME",
	Description = "EGG_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "EGG",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "EGG",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "EGG_PREFAB"
	}
})

--Tattered flag

mod:register({
	DataType = "BUILDING_PART",
	Id = "TATTERED_FLAG_RED_PART",
	Name = "TATTERED_FLAG_NAME",
	Description = "TATTERED_FLAG_RED_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "TATTERED_FLAG_RED",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "TATTERED_FLAG_RED",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "TATTERED_FLAG_RED_PREFAB"
	}
})

--Tattered flag

mod:register({
	DataType = "BUILDING_PART",
	Id = "TATTERED_FLAG_BLUE_PART",
	Name = "TATTERED_FLAG_NAME",
	Description = "TATTERED_FLAG_BLUE_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "TATTERED_FLAG_BLUE",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "TATTERED_FLAG_BLUE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "TATTERED_FLAG_BLUE_PREFAB"
	}
})

--Stakes

mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_PART",
	Name = "STAKES_NAME",
	Description = "STAKES_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "STAKES",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STAKES_PREFAB"
	}
})

--Mine

mod:register({
	DataType = "BUILDING_PART",
	Id = "MINE_PART",
	Name = "MINE_NAME",
	Description = "MINE_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "MINE",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "MINE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "MINE_PREFAB"
	}
})

--Small Stakes 15 deg

mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_SMALL_15_PART",
	Name = "STAKES_SMALL_NAME",
	Description = "STAKES_SMALL_15_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "STAKES_SMALL_15",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_SMALL_15",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STAKES_SMALL_15_PREFAB"
	}
})

--Small Stakes 30 deg

mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_SMALL_30_PART",
	Name = "STAKES_SMALL_NAME",
	Description = "STAKES_SMALL_30_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "STAKES_SMALL_30",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_SMALL_30",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STAKES_SMALL_30_PREFAB"
	}
})

--Small Stakes 45 deg

mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_SMALL_45_PART",
	Name = "STAKES_SMALL_NAME",
	Description = "STAKES_SMALL_45_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "STAKES_SMALL_45",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "STAKES_SMALL_45",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "STAKES_SMALL_45_PREFAB"
	}
})

--Boat Wreck

mod:register({
	DataType = "BUILDING_PART",
	Id = "BOAT_WRECK_PART",
	Name = "BOAT_WRECK_NAME",
	Description = "BOAT_WRECK_DESC",
    ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "ROOT_PART",
		EndPart = "BOAT_WRECK",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	}
})
mod:register({
	DataType = "BUILDING_PART",
	Id = "BOAT_WRECK",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "BOAT_WRECK_PREFAB"
	}
})
